#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

# (tpg) DO NOT FORGET TO SET EXACT XULRUNNER and FIREFOX VERSIONS !
%define ffver 6.0.1
%define version_internal 6.0.1

%define subrel 1

# (tpg) DO NOT FORGET TO SET EXACT MAJOR!
# in this case %{major} == %{version_internal}
%define major %{version_internal}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define develunstname %mklibname %{name}-unstable -d
%define sname firefox

# (tpg) various directory defines
%define mozappdir %{_libdir}/%{name}-%{version_internal}

%define nss_libname %mklibname nss 3
%define nspr_libname %mklibname nspr 4

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)
%define nss_version %(pkg-config --modversion nss &>/dev/null && pkg-config --modversion nss 2>/dev/null || echo 0)

%define _use_syshunspell 1

Summary:	XUL Runtime for Gecko Applications
Name:		xulrunner
Version:	%{version_internal}
Release:	%mkrel 1
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Development/Other
Url:		http://developer.mozilla.org/en/docs/XULRunner
%if 0%{?prel}
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{sname}/releases/%{ffver}/source/%{sname}-%{ffver}%prel.source.tar.bz2
%else
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{sname}/releases/%{ffver}/source/%{sname}-%{ffver}.source.tar.bz2
%endif
Patch1:		xulrunner-1.9.1-max-path-len.patch
Patch2:		mozilla-nongnome-proxies.patch
Patch3:		%{name}-1.9.1-pluginsdir2.patch
# Fedora patches:
# use 1.9 as xulrunner version in the dirname and not the complete version string
Patch4:		xulrunner-1.9.0.1-version.patch
Patch5:		xulrunner-2.0-pkgconfig.patch
Patch6:		xulrunner-1.9.1-java-make-j1.patch
Patch7:		xulrunner-1.9.2-public-opearator-delete.patch
Patch8:		mozilla-kde.patch
Patch9:		xulrunner-1.9.2-realpath.patch
Patch10:	xulrunner-2.0b4-missing-linking-libraries.patch

# patch from https://bugzilla.mozilla.org/show_bug.cgi?id=551138
# we'll have to use system libffi on arm because moz folks are using
# vfp asm which doesn't exist on non-cortex platforms
# src/arm/sysv.S: Assembler messages:
# src/arm/sysv.S:266: Error: selected processor does not support ARM mode `flddle d0,[ip]'
# src/arm/sysv.S:267: Error: selected processor does not support ARM mode `fldmiadgt ip,{d0-d7}'
# src/arm/sysv.S:307: Error: selected processor does not support ARM mode `fstseq s0,[r2]'
# src/arm/sysv.S:311: Error: selected processor does not support ARM mode `fstdeq d0,[r2]'
# src/arm/sysv.S:316: Error: selected processor does not support ARM mode `fstmiadeq r2,{d0-d3}'
# src/arm/sysv.S:400: Error: selected processor does not support ARM mode `fstmfdd sp!,{d0-d7}'
# src/arm/sysv.S:438: Error: selected processor does not support ARM mode `flds s0,[sp]'
# src/arm/sysv.S:441: Error: selected processor does not support ARM mode `fldd d0,[sp]'
# src/arm/sysv.S:450: Error: selected processor does not support ARM mode `fldmiad sp,{d0-d1}'
# src/arm/sysv.S:453: Error: selected processor does not support ARM mode `fldmiad sp,{d0-d3}'
Patch32:	xulrunner_allow_to_use_system_libffi.patch
Patch33:	xulrunner_configure_neon_check.patch
Patch34:	xulrunner_nojit.patch
# Fedora patches(>100):
Patch101:	add-gtkmozembed.patch
Patch102:	xulrunner-5.0-curl.patch
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
#(Dmorgan) Enable when libpng >= 1.4.1 will be in mageia
#BuildRequires: libpng-devel >= 1.4.1
%if %_use_syshunspell
BuildRequires:	libhunspell-devel
%endif
BuildRequires:	libIDL2-devel
BuildRequires:	gtk+2-devel
BuildRequires:  libxt-devel
BuildRequires:  libevent-devel
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libsqlite3-devel >= 3.7.4
BuildRequires:  autoconf2.1
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	zip
BuildRequires:	doxygen
BuildRequires:	makedepend
%ifnarch %arm %mips
BuildRequires:	pkgconfig(valgrind)
BuildRequires:	java-rpmbuild
BuildRequires:	yasm
%endif
%ifarch %arm
BuildRequires:	libffi-devel
%endif
BuildRequires:	rootcerts
BuildRequires:	python
BuildRequires:	nspr-devel >= 2:4.8.7
BuildRequires:  nss-static-devel >= 2:3.12.9
BuildRequires:	pango-devel
BuildRequires:	libalsa-devel
BuildRequires:	libnotify-devel
BuildRequires:	mesagl-devel
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	libproxy-devel
BuildRequires:	libvpx-devel
Requires:	%{libname} = %{version}-%{release}
Conflicts:	xulrunner < %{version}
Provides:	%{name} = %{version}%{?prel:-0.%prel}

%description
XULRunner is a Mozilla runtime package that can be used to
bootstrap XUL+XPCOM applications that are as rich as Firefox
and Thunderbird. It will provide mechanisms for installing,
upgrading, and uninstalling these applications. XULRunner will
also provide libxul, a solution which allows the embedding of
Mozilla technologies in other projects and products.

%package -n %{libname}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries
Conflicts:	xulrunner < %{version}
Obsoletes:	%{mklibname xulrunner 1.9.2} < %{version}-%{release}
Requires:	rootcerts
# (tpg) manually pull dependancies on libnss3 and libnspr4, why ? see above
Requires:	%{nss_libname} >= 2:%{nss_version}
Requires:	%{nspr_libname} >= 2:4.8.7
# (salem) bug #42680 for noarch packages
Provides:	libxulrunner = %{version}-%{release}
Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}
Obsoletes:	%{_lib}xulrunner2.1 < %{version}-%{release}

%description -n %{libname}
Dynamic libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xulrunner-devel < 1.9.2
Obsoletes:	%{mklibname mozilla-firefox -d} < 0:3
Obsoletes:	%{mklibname %{name}-unstable -d}
Provides:	%{name}-devel = %{version}-%{release}
# (tpg) see above why
Requires:	nss-devel
Requires:	libalsa-devel

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -qn mozilla-release
#%patch1 -p1 -b .pathlen rediff
%patch2 -p0 -b .proxy
%patch3 -p1 -b .plugins
%patch4 -p1 -b .version

%patch5 -p1 -b .pkgconfig
#%patch6 -p1 -b .java_make-j1
%patch7 -p1 -b .public-opearator-delete
#patch8 -p1 -b .kde-integration
%patch9 -p1 -b .realpath
%patch10 -p0 -b .missing-linking-libraries

%patch32 -p1
#patch33 -p1
%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
%patch34 -p1
%endif
%endif

%patch101 -p2 -b .gtkmozembed
%patch102 -p2 -b .curl

pushd js/src
autoconf-2.13
popd
autoconf-2.13

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

#(tpg) correct the xulrunner version
sed -i -e 's#INTERNAL_VERSION#%{version_internal}#g' xulrunner/installer/Makefile.in

%build
%serverbuild
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"
export CFLAGS="$(echo %{optflags} | sed -e 's/-Wall//')"
export CXXFLAGS="$CFLAGS"
export LDFLAGS="%ldflags -Wl,-rpath,%{mozappdir}"

# (tpg) don't use macro here
# (fhimpe) Starting from Firefox 4.0b10, at least sqlite 3.6.4 is needed
./configure --build=%{_target_platform} \
	--host=%_host --target=%_target_platform \
%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
	--disable-methodjit \
	--disable-tracejit \
%endif
	--enable-system-ffi \
%endif
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--datadir=%{_datadir} \
	--sysconfdir=%{_sysconfdir} \
	--enable-application=xulrunner \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
        --with-system-libevent \
	--without-system-png \
	--with-system-nspr \
	--with-system-nss \
	--enable-system-sqlite \
	--enable-system-cairo \
	--enable-system-pixman \
%if %_use_syshunspell
	--enable-system-hunspell \
%endif
	--disable-javaxpcom \
	--enable-pango \
	--enable-svg \
	--enable-canvas \
	--enable-crypto \
	--disable-crashreporter \
	--disable-installer \
	--disable-updater \
	--enable-optimize \
	--enable-jemalloc \
	--disable-wrap-malloc \
	--disable-strip \
	--enable-install-strip \
	--enable-startup-notification \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-shared-js \
%ifnarch %arm %mips
	--enable-valgrind \
	--with-java-include-path=%{java_home}/include \
	--with-java-bin-path=%{java_home}/bin \
%endif
	--enable-image-encoder=all \
	--enable-image-decoders=all \
	--enable-places \
	--enable-storage \
	--enable-safe-browsing \
	--enable-url-classifier \
	--disable-gnomevfs \
	--enable-gio \
	--enable-gnomeui \
	--disable-faststart \
	--enable-smil \
	--disable-tree-freetype \
	--enable-canvas3d \
	--disable-coretext \
	--enable-extensions=default \
	--enable-necko-protocols=all \
	--disable-necko-wifi \
	--disable-tests \
	--disable-mochitest \
	--enable-xtf \
	--enable-wave \
	--with-system-libvpx \
	--enable-ogg \
	--enable-xpcom-fastload \
	--enable-dbus \
	--enable-libproxy \
	--enable-chrome-format=jar \
	--with-distribution-id=org.%{_vendor}

%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

%make

%install
rm -rf %{buildroot}

%makeinstall_std

#install -p dist/sdk/bin/regxpcom %{buildroot}%{mozappdir}

rm -rf %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/*.so
pushd %{buildroot}%{mozappdir}
for i in *.so; do
    ln -s %{mozappdir}/$i %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/$i
done
popd

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file %{version_internal}-64.system.conf
#mv %{buildroot}%{_sysconfdir}/gre.d/*.system.conf %{buildroot}%{_sysconfdir}/gre.d/%{gre_conf_file}
%else
%define gre_conf_file %{version_internal}.system.conf
%endif

# Copy pc files (for compatibility with 1.9.1 and needed by eclipse )
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-unstable.pc
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding-unstable.pc


# Library path
LD_SO_CONF_D=%{_sysconfdir}/ld.so.conf.d
LD_CONF_FILE=xulrunner-%version_internal-%{__isa_bits}.conf

%{__mkdir_p} ${RPM_BUILD_ROOT}${LD_SO_CONF_D}
%{__cat} > ${RPM_BUILD_ROOT}${LD_SO_CONF_D}/${LD_CONF_FILE} << EOF
%{mozappdir}
EOF


# Don't install these in appdir
rm  %{buildroot}%{mozappdir}/LICENSE
rm  %{buildroot}%{mozappdir}/README.txt

# when not building with system nspr:
#rm -f %{buildroot}%_libdir/xulrunner-2.0/nspr-config

%if %_use_syshunspell
# Use the system hunspell dictionaries
rm -rf %{buildroot}%{mozappdir}/dictionaries
ln -s %{_datadir}/dict/mozilla %{buildroot}%{mozappdir}/dictionaries
%endif

# set up our default preferences
cat << EOF > %{buildroot}%{mozappdir}/defaults/pref/vendor.js
pref("general.smoothScroll", true);
pref("mousewheel.horizscroll.withnokey.action", 0);
pref("mousewheel.horizscroll.withnokey.numlines", 3);
pref("mousewheel.horizscroll.withnokey.sysnumlines", false);
pref("mousewheel.withnokey.action", 0);
pref("mousewheel.withnokey.numlines", 7);
pref("mousewheel.withnokey.sysnumlines", false);
pref("network.protocol-handler.app.mailto", "/usr/bin/xdg-email");
pref("network.protocol-handler.app.mms", "/usr/bin/xdg-open");
pref("network.http.pipelining", true);
pref("network.http.proxy.pipelining", true);
pref("network.http.pipelining.maxrequests", 8);
pref("browser.display.use_system_colors", true);
pref("browser.tabs.loadDivertedInBackground", true);
pref("browser.startup.homepage_override.mstone", "ignore");
pref("browser.backspace_action", 2);
pref("browser.tabs.loadFolderAndReplace", false);
pref("browser.EULA.override", true);
pref("browser.safebrowsing.enabled", true);
pref("browser.shell.checkDefaultBrowser", false);
pref("browser.startup.homepage", "file:///usr/share/doc/HTML/index.html");
pref("print.print_edge_top", 14); // 1/100 of an inch
pref("print.print_edge_left", 16); // 1/100 of an inch
pref("print.print_edge_right", 16); // 1/100 of an inch
pref("print.print_edge_bottom", 14); // 1/100 of an inch
pref("app.update.enabled", false);
pref("app.update.auto", false);
pref("app.update.autoInstallEnabled", false);
pref("intl.locale.matchOS", true);
pref("toolkit.storage.synchronous", 0);
EOF

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%xulrunner_major            %{major}
%%xulrunner_version          %{version}
%%xulrunner_libname          %{libname}
%%xulrunner_mozappdir        %{mozappdir}
FIN

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%dir %{mozappdir}
%{_bindir}/xulrunner

%files -n %{libname}
%defattr(-,root,root)
%dir %{mozappdir}
%{mozappdir}/chrome
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%{mozappdir}/components/*.manifest
%{mozappdir}/*.manifest
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
#%{mozappdir}/greprefs
%dir %{mozappdir}/icons
%attr(644, root, root) %{mozappdir}/icons/*
%{mozappdir}/modules
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/*.so
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
#%{mozappdir}/regxpcom
%{mozappdir}/greprefs.js
%{mozappdir}/hyphenation/hyph_en_US.dic
#%{mozappdir}/*.chk
%{mozappdir}/xulrunner
%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
#%{mozappdir}/javaxpcom.jar
%{mozappdir}/plugin-container
#dir %{_sysconfdir}/gre.d
#{_sysconfdir}/gre.d/*.conf
%{_sysconfdir}/ld.so.conf.d

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}-%{version_internal}
%{mozappdir}/xpcshell
%{mozappdir}/xpidl
%{_libdir}/%{name}-devel-%{version_internal}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/%{name}-%{version_internal}
%{_sys_macros_dir}/%{name}.macros


%changelog

* Wed Aug 31 2011 dmorgan <dmorgan> 6.0.1-1.1.mga1
+ Revision: 137016
- New version 6.0.1
- Version ld.so.conf.d file
- Fix conflicts in %%libname
- Remove wrongly added files in previous commit
- Sync with cauldron ( update to version 6 )
- Add missing %%if
- Fix buildrequires
- Update to version 5.0.1

* Sat Apr 30 2011 tv <tv> 2.0.1-1.mga1
+ Revision: 93601
- new release

* Wed Mar 30 2011 rtp <rtp> 2.0-4.mga1
+ Revision: 79025
- Arm support :
  * Merge patch from mozilla bug 626035 to fix arm detection
  * Use system libffi (only on arm) because internal one is using vfp insns
  * Disable all javascrits jit (tracejit/methodjit) because arm softfloat support broken
  * Backport alignment fix from mozilla bug 634954

* Thu Mar 24 2011 boklm <boklm> 2.0-3.mga1
+ Revision: 76222
- rebuild for bug #497

* Mon Mar 21 2011 tv <tv> 2.0-2.mga1
+ Revision: 75339
- new release
- enable to package beta/rc or final with %%if
- no need requiring self

* Mon Mar 21 2011 ahmad <ahmad> 2.0-0.rc2.2.mga1
+ Revision: 75311
- default prefs changes:
  o don't set pref("browser.ctrlTab.previews", true); go with upstream default
  o don't set pref("security.ssl.require_safe_negotiation", false); , it's false
    by default anyway
- rediff pkgconfig patch
- drop unapplied patch12
- drop patch14 addressed differently upstream (Fedora)
- drop patch15,19,20 fixed upstream
- drop patch26, it was unapplied and the code changed upstream
- don't apply java_make-j1 patch, we have a much more powerful BS (touch wood)
- build with system-libvpx
- build with system-pixman
- don't compile with --disable-faststart
- disable gnomevfs support
- no need to ghost {compreg,xpti}.dat any more, they both moved to the profile
  directory ages ago (Fedora)

* Sun Mar 20 2011 dmorgan <dmorgan> 2.0-0.rc2.1.mga1
+ Revision: 74689
- Add missing source
- Update to Rc2

* Sat Mar 19 2011 dmorgan <dmorgan> 2.0-0.rc1.8.mga1
+ Revision: 74494
- Clean spec file
- Add patch to enable kde integration ( from Suse )

* Tue Mar 15 2011 dmorgan <dmorgan> 2.0-0.rc1.7.mga1
+ Revision: 71505
- Copy pc files (for compatibility with 1.9.1 )

* Thu Mar 10 2011 tv <tv> 2.0-0.rc1.6.mga1
+ Revision: 67398
- fix path in tarball
- new release

* Sun Mar 06 2011 ahmad <ahmad> 2.0-0.b12.6.mga1
+ Revision: 65726
- remove general.useragent.vendor* prefs, they have no effect as support was
  dropped, c.f.
  https://bugzilla.mozilla.org/show_bug.cgi?id=581008
  https://developer.mozilla.org/en/Gecko_user_agent_string_reference
- don't set browser.tabs.insertRelatedAfterCurrent to false by default, to be
  more compliant with upstream (they do spend time on usability)

* Tue Mar 01 2011 ahmad <ahmad> 2.0-0.b12.5.mga1
+ Revision: 61893
- make the main package provide '%%{name} = %%{version}%%{?prel:-0.%%prel}'

* Sat Feb 26 2011 tv <tv> 2.0-0.b12.4.mga1
+ Revision: 60665
- drop further obsoleted patches
- kill obsolete patches
- new release

* Mon Feb 21 2011 dmorgan <dmorgan> 2.0-0.b11.4.mga1
+ Revision: 55384
- Apply patch2
- Add missing source(
- Backport mdv commit 637123
  	- add upstream patch2 to build under default link options
- Update to beta11

  + ahmad <ahmad>
    - require a recent enough cairo-devel

* Sun Feb 06 2011 ahmad <ahmad> 2.0-0.b10.4.mga1
+ Revision: 48059
- fix BR, no need to build with java-1.5.0-devel
- remove pref("layout.css.visited_links_enabled", false); , the most scary/big parts
  have been fixed upstream ages ago, and this option isn't disabled by default upstream
  c.f.:
  http://dbaron.org/mozilla/visited-privacy
  https://bugzilla.mozilla.org/show_bug.cgi?id=147777

* Sat Jan 29 2011 dmorgan <dmorgan> 2.0-0.b10.3.mga1
+ Revision: 43417
- Merge mdv commit 63319
- Merge mdv commit 633197
- Merge mdv commit 633159

  + erwan <erwan>
    - New release b10

* Sun Jan 16 2011 blino <blino> 2.0-0.b8.3.mga1
+ Revision: 20086
- update distribution-id
- use product_release macro
- remove comment about old version
- remove old version checks (for ldflags macro)

  + dmorgan <dmorgan>
    - Remove mdv macros
    - imported package xulrunner


* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b8.3mdv2011.0
+ Revision: 628719
- build with system nspr again

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b8.2mdv2011.0
+ Revision: 628656
- still ship nspr-config for downstream firefox

* Tue Jan 04 2011 Thierry Vignaud <tv@mandriva.org> 2.0-0.b8.1mdv2011.0
+ Revision: 628640
- fix building with internal nspr
- temporary disable --with-system-nspr
- new release

  + Funda Wang <fwang@mandriva.org>
    - update configure parameters

* Thu Nov 11 2010 Thierry Vignaud <tv@mandriva.org> 2.0-0.b7.1mdv2011.0
+ Revision: 595847
- new release

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b6.1mdv2011.0
+ Revision: 579039
- update to new version 2.0b6

* Wed Sep 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0-0.b5.2mdv2011.0
+ Revision: 576828
- own mozappdir
- rebuild with latest hunspell package to fix a buffer overflow

* Tue Sep 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b5.1mdv2011.0
+ Revision: 576694
- update to new version 2.0b5

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 2.0-0.b4.2mdv2011.0
+ Revision: 574423
- build shared js lib (for libmozjs)

* Wed Aug 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b4.1mdv2011.0
+ Revision: 573123
- looks like javaxpcom bridge is broken, disable this again
- Patch27: add missing libraries in LDFLAGS
- enable libproxy support
- re-enable javaxpcom bridge
- fix file list
- update to new version 2.0b4

* Tue Aug 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b3.2mdv2011.0
+ Revision: 572938
+ rebuild (emptylog)

* Sun Aug 22 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b3.1mdv2011.0
+ Revision: 572051
- update to new version 2.0b3
- disable patches 1,10,12,14,19,20 and 21
- bump version requires for sqlite3 (SQLITE_ENABLE_UNLOCK_NOTIFY is now needed)
- bump version requires for nspr
- temporary disable build against system-wide nss, and also disable javaxpcom bridge build
- disable so called safe-browsing, because we are laready safe(running *NIX), also Google does not need to know about all URLs typed in address bar
- enable canvas3d also known as WebGL
- enable GIO support
- enable WebM support
- update file list

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 1.9.2.8-1mdv2011.0
+ Revision: 558296
- update kde-integration from opensuse
- drop two merged patches

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.9.2.6-1mdv2010.1
+ Revision: 549282
- sync with firefox 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.4-1mdv2010.1
+ Revision: 549243
- sync with MDVSA-2010:125

* Mon Jun 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-10mdv2010.1
+ Revision: 547979
- fix #59759 (needs tighter requires on libnss3)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - revert my last commit
    - enable mousewheel action acceleration after 3 lines scroll

* Wed Apr 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-9mdv2010.1
+ Revision: 540282
- fix annoyance

* Fri Apr 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-8mdv2010.1
+ Revision: 535413
- actually make that sqlite3 version discovery working...

* Thu Apr 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-7mdv2010.1
+ Revision: 535077
- fix #58754 (firefox 3.6.3 should require latest sqlite)

* Mon Apr 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-6mdv2010.1
+ Revision: 533711
- actually use the correct name and major for sqlite3
- bump release
- pull a recent enough sqlite3

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-5mdv2010.1
+ Revision: 533026
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-4mdv2010.1
+ Revision: 532887
- synced prefs from the firefox package

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-3mdv2010.1
+ Revision: 532691
- rebuild
- more backport fixes
- adjust deps a bit
- fix deps

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-2mdv2010.1
+ Revision: 532327
- make it backportable to 2008.0

* Sat Apr 03 2010 Funda Wang <fwang@mandriva.org> 1.9.2.3-1mdv2010.1
+ Revision: 530861
- New version 1.9.2.3 (ff 3.6.3)

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.2-1mdv2010.1
+ Revision: 526885
- it really needs nss-3.12.6
- adjust deps and version
- 3.6.2
- rediffed P21
- adjust deps

  + Claudio Matsuoka <claudio@mandriva.com>
    - launch firefox even if "firefox" dir exists in current directory
    - prevent css script from getting urls of last visited sites by user

* Mon Jan 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-2mdv2010.1
+ Revision: 495711
- P22: fix startup notification borkiness

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2010.1
+ Revision: 494595
- new version 1.9.2 final (ff 3.6)

* Tue Jan 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.2-0.rc2.2mdv2010.1
+ Revision: 493928
- add patches for kde integration

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc2.1mdv2010.1
+ Revision: 493268
- update to new versin 3.6-rc2

* Mon Jan 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-0.rc1.2mdv2010.1
+ Revision: 489710
- rebuilt against libjpeg v8

* Sat Jan 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc1.1mdv2010.1
+ Revision: 487941
- update to new version 3.6-rc1

* Thu Dec 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.3mdv2010.1
+ Revision: 482069
- Patch18: fix  jemalloc alignment assertion and abort (mozilla bug #526152)
- Patch19: fix plugins cflags

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2mdv2010.1
+ Revision: 480164
+ rebuild (emptylog)

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2
+ Revision: 480038
- use coretext for text rendering

  + Christophe Fergeau <cfergeau@mandriva.com>
    - get rid of python-xpcom
    - make sure libxul-embedding.pc depends on nspr, breaks galeon configure otherwise

* Thu Dec 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.1mdv2010.1
+ Revision: 479842
- update to new version 1.9.2-beta5

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.3mdv2010.1
+ Revision: 479527
- rebuild with python-xpcom enabled

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.2mdv2010.1
+ Revision: 479432
- rebuild for main
- switch to xulrunner 1.9.2

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1.9.1.6-1mdv2010.1
+ Revision: 479142
- new version 1.9.1.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.9.1.5-1mdv2010.1
+ Revision: 460567
- New version 1.9.1.5 (ff 3.5.5)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps; at least since firefox-3.5.4 sqlite > 3.6.16 is required

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - really enable valgrind
    - requires nspr 4.8, 4.7.5 is not enough

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.3-2mdv2010.0
+ Revision: 438982
- reupload

  + Funda Wang <fwang@mandriva.org>
    - New version 3.5.3

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - java-make-j1.patch: prevent java compilation from exhausting resources when using a too big -j

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.2-4mdv2010.0
+ Revision: 420168
- fix last commit about mouse wheel
  o horizontal scrolls 3 lines
  o vertical scrolls 7 lines
- remove some old, and not used  patches in svn
- remove buildrequires on lcms-devel
- do not overrite defailt optimization flags in --enable-optimize switch
- mousewheel scrolls now three lines on move

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.1.2-2mdv2010.0
+ Revision: 417560
- added macros for packages requiring xulrunner
- starting with 1.9.0.13 we require specific versions of nss/nspr. (merged
  from r410996)
- new version 1.9.1.2 (Firefox 3.5.2), merged from cooker/xulrunner/branches/current

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.13-3mdv2010.0
+ Revision: 416535
- rebuilt against libjpeg v7

* Fri Aug 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-2mdv2010.0
+ Revision: 410996
- Starting with 1.9.0.13 we require specific versions of nss/nspr.

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-1mdv2010.0
+ Revision: 408632
- Updated to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.12-3mdv2010.0
+ Revision: 399094
- Disable parallel make.
- Updated to 1.9.0.12 (FF 3.0.12)

* Tue Jun 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.11-2mdv2010.0
+ Revision: 386356
- Updated sqlite3 dependencies for xulrunner 1.9.0.11.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use %%mandriva_branch again

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 1.9.0.11-1mdv2010.0
+ Revision: 385512
- New version 1.9.0.11 (FF 3.0.11)

* Mon Jun 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.10-2mdv2010.0
+ Revision: 382066
- Patch13: fix compiling with gcc-4.4.0
- rebuild for new nspr4 and nss libraries

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.9.0.10-1mdv2010.0
+ Revision: 369408
- use mandriva_branch to detect cooker rather than hardcode version

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.8-1mdv2009.1
+ Revision: 361833
- new version 1.9.0.8

* Mon Mar 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-2mdv2009.1
+ Revision: 360728
- rebuilt to pickup new data from the rootcerts (20090115.00) package

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-1mdv2009.1
+ Revision: 354018
- 3.0.7

* Sun Mar 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.6-2mdv2009.1
+ Revision: 346354
- enable pipelining for proxies
- rise up network.http.pipelining.maxrequests to 8

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - oops! de-inverted the mdkversion test for _requires_exceptions
    - re-added _requires_exceptions removed by fwang on r315183, needed at least for 2009.0

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 1.9.0.6-1mdv2009.1
+ Revision: 336981
- New version 1.9.0.6

* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.5-3mdv2009.1
+ Revision: 329911
- buildrequire python-devel for python xpcom bindings
- automate subrel definition when building for older distros
- build xpcom python bindings for Mdv 2009.1 and later
- prepare xulrunner to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.5-2mdv2009.1
+ Revision: 317670
- compile with %%ldflags
- add few warnings to the spec file

  + Funda Wang <fwang@mandriva.org>
    - New version 1.9.0.5
    - fix building with new cflags

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - adding big banner to the spec, to prevent people from messing it up, same thing as firefox

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.4-1mdv2009.1
+ Revision: 302852
- new version, 1.9.0.4
- reverting r299474 file name fix, .cpp is only in firefox-3.1, .c in firefox-3.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update firefox tarball to version 3.0.4 (xulrunner 1.9.0.3)
    - update to firefox 3.1-beta1

  + Olivier Blin <oblin@mandriva.com>
    - fix jsfile.cpp path in path_len patch

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.3-1mdv2009.0
+ Revision: 288943
- update firefox tarball to version 3.0.3 (xulrunner 1.9.0.3)

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.2-1mdv2009.0
+ Revision: 288008
- update firefox tarball to version 3.0.2 (xulrunner 1.9.0.2)

* Sun Sep 14 2008 Frederic Crozat <fcrozat@mandriva.com> 1.9.0.1-16mdv2009.0
+ Revision: 284637
- Update patch10 to specify libdir for mozilla-js, needed for correct rpath linking in google-gadgets

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-15mdv2009.0
+ Revision: 279088
- obsolete old libmozilla-firefox-devel
- bump release

* Thu Aug 21 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-14mdv2009.0
+ Revision: 274837
- add upstream patches to fix crash with windowless plugins (swfdec)
  #445250 and #435764 in mozilla bugzilla
- bump release

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-13mdv2009.0
+ Revision: 274241
- more devel exceptions

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-12mdv2009.0
+ Revision: 274202
- try to fix requires exceptions again to make the devel package installable

* Tue Aug 19 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-11mdv2009.0
+ Revision: 273964
- removing wrong \\| in the end of _requires_exceptions
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-10mdv2009.0
+ Revision: 273273
- changing defines to be able to submit.
- disabling auto theme selection.
- bump release
- change requires to work on biarch systems
  not using %%arch_tagged to prevent hardcoding the version.

* Wed Aug 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-9mdv2009.0
+ Revision: 271429
- fix Requires to libhunspell
- bump release
- add requires to libhunspell (#42745)
- provide libxulrunner for noarch packages (#42680)

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.1-8mdv2009.0
+ Revision: 270855
- remove wrong requires on nspr-static-devel(?)
- move requires to the xulrunner library subpackage
- manually pull dependancies on libnss3 and libnspr4
- use more appropriate name for unstable devel library
- blacklist all nss libraries, this prevent auto pulling them as a dependencies for xulrunner-devel package
- drop patch 9, completely wrong way
- add buildrequires on nss-static-devel
- fix file list
- Patch9: fix building against system-wide nss library
- enable build against system wide nspr and nss libraries
- add few options to configure stage

  + Frederik Himpe <fhimpe@mandriva.org>
    - Remove BuildRequires: freetype-devel, this is the old freetype. The new
      libfreetype6-devel we need is actually already required by pango-devel

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-5mdv2009.0
+ Revision: 259973
- add patch to auto select theme on firefox
- do not obsolete mozilla-firefox-gnome-support. It must be obsoleted by firefox package.
- change gre_conf_file to use macros instead of shell variables
- bump release
- obsoleting mozilla-firefox-gnome-support as xulrunner now provides libnkgnomevfs.so

  + Frederik Himpe <fhimpe@mandriva.org>
    - Use major in gre config file name, so that future xulrunner
      versions won't conflict

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-4mdv2009.0
+ Revision: 254206
-Add some BuildRequires on GNOME libraries, which will hopefull bring
 back file type associations in Firefox built with xulrunner
- xulrunner package should depend on xulrunner library

* Tue Jul 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-3mdv2009.0
+ Revision: 253592
- Add BuildRequires: python
- Remove BuildRequires: gourmet
- (Fedora): cleanup: remove some unneeded install commands
- (Fedora): use system myspell directionaries
- Try to fix permissions of /usr/share/doc/xulrunner
- (Fedora) Package chk files, they are needed for nss and FIPS 140
- Integrate Firefox package vendor.js prefs file, and add from Fedora:
  * pref("toolkit.storage.synchronous", 0); (works around the infamous
    ext3 fsync problem with Firefox 3)
  * pref("intl.locale.matchOS", true); (use system locale for UI)
  * pref("app.update.autoInstallEnabled", false);

* Sun Jul 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-2mdv2009.0
+ Revision: 250321
- Don't define name, version and release
- Attempt to libify the package so that 64 bits users can also
  install the 32 bits libraries
- Don't make header files biarch aware, installing 32 and 64 bits
  devel pacakges at the same time is not supported on Mandriva anyway
- Don't add xulrunner directory to ld.so.conf.d
- Remove mochitest patch, we are not building these test anyway
- Install README.txt and LICENSE files in /usr/share/doc
- Re-enable startup notification which was disabled by accident

* Sat Jul 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-1mdv2009.0
+ Revision: 250050
- Synchronise with Fedora SPEC to make xulrunner actually usable:
  * Fix license
  * Add  prefs.js with some Mandriva custom settings
  * Put stable and unstable API development files in different
    directories
  * Create xulrunner-devel-unstable which contains development files
    with unstable API
  * Add Fedora patch to use 1.9 as xulrunner version in the directory
    name instead of the complete version string
  * Add Fedora mochitest patch to fix building with system nspr and
    nss with test enabled
  * Add Fedora pkgconfig patch to fix locations in pkgconfig files
  * Disable building tests
- New version 1.9.0.1
- Make it possible to build xulrunner from the Firefox sources, and
  do so for Xulrunner 1.9.0.1 built from Firefox 3.0.1 sources
- Remove sqlite3 patch, problem fixed upstream
- Only use system sqlite on Mandriva 2009.0 and newer, because
  it requires at least sqlite 3.5.9

* Sun Jul 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9-1mdv2009.0
+ Revision: 238857
- initial package for Mandriva(work in progress)
- backport few patches from firefox-3.0
- try better idea for pluginsdir patch, first check /usr/lib64 and then /usr/lib for mozilla plugins
- Created package structure for xulrunner.

